Issue
The Archive Shuttle Exchange Import Module module may log the following error:

2015-02-03 14:22:57Z|5104| 10|ERROR|                                       CallService|[service@test.local]: Exception during call to Exchange Service.  Void ProcessWebException(System.Net.WebException)
Exchange Server doesn't support the requested version.
   at Microsoft.Exchange.WebServices.Data.ServiceRequestBase.ProcessWebException(WebException webException)
   at Microsoft.Exchange.WebServices.Data.ServiceRequestBase.GetEwsHttpWebResponse(IEwsHttpWebRequest request)
   at Microsoft.Exchange.WebServices.Data.ServiceRequestBase.ValidateAndEmitRequest(IEwsHttpWebRequest& request)
   at Microsoft.Exchange.WebServices.Data.MultiResponseServiceRequest`1.Execute()
   at Microsoft.Exchange.WebServices.Data.ExchangeService.BindToFolder[TFolder](FolderId folderId, PropertySet propertySet)
   at QUADROtech.ExchangeWebServices.Folders.FolderHandler.GetRootFolder(ExchangeService service)
   at QUADROtech.ExchangeWebServices.Folders.FolderHandler.RetryFunction[T](Func`1 func, Int32 retryCount)
   at QUADROtech.ExchangeWebServices.Folders.FolderHandler.GetCachedRootFolder(ExchangeService service)
   at QUADROtech.ExchangeWebServices.Folders.FolderHandler.<>c__DisplayClassd.<GetOrCreateFolderImpl>b__9(ExchangeService service, NetworkCredential credential)
   at QUADROtech.ExchangeWebServices.Connection.EWSExecutor.CallService(Action`2 actionToExecute, String smtpAddress)

Solution
The wrong value may be specified for Exchange Version in EXC Import Module table on the System Configuration screen.
The default is set to Exchange2013_SP1.  Set it to correct Exchange Version for your environment.

Print Friendly, PDF & Email